madhums - nodejs-express-mongoose-demo 4.0.0 dependencies status

A demo app illustrating the usage of express, mongoose, passportjs, swig and other modules in nodejs

  • 30 Dependencies total
  • 27 Up to date
  • 0 Pinned, out of date
  • 2 Out of date
Security vulnerabilities in dependencies
Advisories from the Node Security Project
DependencyChangesRequiredStableLatestStatus
body-parser
    ~1.18.21.18.21.18.2
    co
      ~4.6.04.6.04.6.0
      compression
        ~1.7.01.7.21.7.2
        connect-flash
          ~0.1.10.1.10.1.1
          connect-mongo
            ~2.0.02.0.12.0.1
            cookie-parser
              ~1.4.01.4.31.4.3
              cookie-session
                ~2.0.0-beta.31.3.22.0.0-beta.3
                cors
                  ~2.8.02.8.42.8.4
                  cross-env
                    ~5.1.05.1.45.1.4
                    csurf
                      ~1.9.01.9.01.9.0
                      dotenv
                        ~4.0.05.0.15.0.1
                        express
                          ~5.0.0-alpha.64.16.35.0.0-alpha.6
                          express-session
                            ~1.15.01.15.61.15.6
                            forever
                              ~0.15.10.15.30.15.3
                              jade
                                ~1.11.01.11.01.11.0
                                method-override~2.3.52.3.102.3.10
                                mongoose
                                  ~4.13.05.0.165.0.16
                                  morgan
                                    ~1.9.01.9.01.9.0
                                    multer
                                      ~1.3.01.3.02.0.0-alpha.6
                                      notifier
                                        ~0.1.70.1.70.1.7
                                        only
                                          0.0.20.0.20.0.2
                                          passport
                                            ~0.4.00.4.00.4.0
                                            passport-facebook
                                              ~2.1.02.1.12.1.1
                                              passport-github
                                                ~1.1.01.1.01.1.0
                                                passport-google-oauth
                                                  ~1.0.01.0.01.0.0
                                                  passport-linkedin
                                                    ~1.0.01.0.01.0.0
                                                    passport-local
                                                      ~1.0.01.0.01.0.0
                                                      passport-twitter
                                                        ~1.0.31.0.41.0.4
                                                        view-helpers
                                                          ~0.1.50.1.50.1.5
                                                          winston
                                                            ~2.4.02.4.23.0.0-rc5
                                                            • 30 Dependencies total
                                                            • 27 Up to date
                                                            • 0 Pinned, out of date
                                                            • 2 Out of date